<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <div id="app">
        <app-header v-bind:propsdata="num"></app-header>
        <app-content v-on:send="rootSend"></app-content>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
    <script>
        var appHeader = {
            template : '<div>Num : {{ propsdata }}</div>',
            props: ['propsdata']
        }
        var appContent = {
            template : '<div>appContent<input v-model="num" type="text"/><button @click=sendValue>send</button></div>',
            methods: {
                sendValue : function(){
                    this.$emit("send", {'num' : this.num})
                    console.log('sendValue');
                }
            },
            data() {
                return {
                    num : ''
                }
            }
        }
    new Vue({
        el: '#app',
        components: {
            'app-header': appHeader,
            'app-content': appContent
        },
        data : {
            num : 0
        },
        methods: {
            rootSend: function(payload){
                this.num = payload.num;
            }
        }
    });
    </script>
</body>
</html>